## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global gomodulesmode GO111MODULE=on

Name:           docker-compose
Version:        2.33.0
Release:        %autorelease

Summary:        Define and run multi-container applications
License:        Apache-2.0
URL:            https://github.com/docker/compose
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  go-rpm-macros
BuildRequires:  git-core

%description
Docker Compose is a tool for running multi-container applications on Docker defined
using the Compose file format. A Compose file is used to define how the one or more
containers that make up your application are configured. Once you have a Compose
file, you can create and start your application with a single command: docker
compose up.

%prep
%autosetup -n compose-%{version}

%build
go env -w GOPROXY=https://proxy.golang.org,direct
go env -w GOSUMDB=sum.golang.org
export LDFLAGS="-X github.com/docker/compose/v2/internal.Version=%{version}"
%gobuild -o %{name} ./cmd

%check
#CGO_ENABLED=0 go test -tags "e2e,kube" -v $(go list -tags "e2e,kube" ./... | grep -vE 'e2e')

%install
install -Dm0755 %{name} -t %{buildroot}%{_prefix}/lib/docker/cli-plugins
install -d %{buildroot}%{_bindir}
ln -sf /usr/lib/docker/cli-plugins/docker-compose %{buildroot}%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_prefix}/lib/docker/

%changelog
## START: Generated by rpmautospec
* Wed Feb 12 2025 John Doe <packager@example.com> - 2.33.0-1
- Uncommitted changes
## END: Generated by rpmautospec
